# Ignore compiled files
*.class
*.war
*.jar
*.ear

# Ignore build directories
target/
bin/
out/

# Ignore IDE-specific files and directories
.idea/
.vscode/
*.suo
*.user
*.sln
.DS_Store

# Ignore log files and backups
*.log
*.log.*
*.bak
*.swp

# Ignore user-specific files
user.settings

# Ignore configuration files
application.properties

# Ignore specific directories
node_modules/
build/
.next